# coding=utf-8

from django.core.management import BaseCommand
from api.models import Service


class Command(BaseCommand):
    def handle(self, *args, **options):
        coupon_state = (
            u'\n'
            u'【如何使用优惠卷】\n'
            u'所有带"底价"标签的美购，不可使用优惠卷。\n'
            u'在购物车结算中使用满减劵时，此美购将不计入满减金额，退款时可全额退款。\n'
        )
        for service in Service.objects.all():
            print service.id

            if not service.special_remind:
                service.special_remind = u''

            service.special_remind += coupon_state
            service.save()
